Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class GetInformationResult

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GetInformationResult

public class GetInformationResult extends GenericResult

Java class for GetInformationResult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetInformationResult">
       <complexContent>
         <extension base="{http://uws.provider.com/}GenericResult">
           <sequence>
             <element name="parameters" type="{http://uws.provider.com/}GenericParam" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<GenericParam>`
  `parameters`

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `errorMsg, status, timeStamp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetInformationResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<GenericParam>`
  `getParameters()`
  Gets the value of the parameters property.

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

  `getErrorMsg, getStatus, getTimeStamp, setErrorMsg, setStatus, setTimeStamp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parameters

    protected List<GenericParam> parameters

- ## Constructor Details

  - ### GetInformationResult

    public GetInformationResult()

- ## Method Details

  - ### getParameters

    public List<GenericParam> getParameters()
    Gets the value of the parameters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameters property.

    For example, to add a new item, do as follows:

            getParameters().add(newItem);

    Objects of the following type(s) are allowed in the list `GenericParam`